org.apache.solr.common

## Interface ConfigNode

    public interface ConfigNode

A generic interface that represents a config file, mostly XML

### Field Summary

Fields
`static ThreadLocal<Function<String,String>>` `SUBSTITUTES`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`SimpleMap<String>` `attributes()` Attributes
`default ConfigNode` `child(Predicate<ConfigNode> test, String name)` Iterate through child nodes with the name and return the first child that matches
`default ConfigNode` `child(String name)` Child by name
`default List<ConfigNode>` `children(Predicate<ConfigNode> test, Set<String> matchNames)` Iterate through child nodes with the names and return all the matching children
`default List<ConfigNode>` `children(Predicate<ConfigNode> test, String... nodeNames)` Iterate through child nodes with the names and return all the matching children
`default List<ConfigNode>` `children(String name)`
`void` `forEachChild(Function<ConfigNode,Boolean> fun)` abortable iterate through children
`String` `name()` Name of the tag
`String` `textValue()` Text value of the node

### Field Detail

#### SUBSTITUTES

    static final ThreadLocal<Function<String,String>> SUBSTITUTES

### Method Detail

#### name

    String name()

Name of the tag

#### textValue

    String textValue()

Text value of the node

#### attributes

    SimpleMap<String> attributes()

Attributes

#### child

    default ConfigNode child(String name)

Child by name

#### child

    default ConfigNode child(Predicate<ConfigNode> test,
                             String name)

Iterate through child nodes with the name and return the first child that matches

#### children

    default List<ConfigNode> children(Predicate<ConfigNode> test,
                                      String... nodeNames)

Iterate through child nodes with the names and return all the matching children

Parameters:
  `nodeNames` - names of tags to be returned
  `test` - check for the nodes to be returned

#### children

    default List<ConfigNode> children(Predicate<ConfigNode> test,
                                      Set<String> matchNames)

Iterate through child nodes with the names and return all the matching children

Parameters:
  `matchNames` - names of tags to be returned
  `test` - check for the nodes to be returned

#### children

    default List<ConfigNode> children(String name)

#### forEachChild

    void forEachChild(Function<ConfigNode,Boolean> fun)

abortable iterate through children

Parameters:
  `fun` - consume the node and return true to continue or false to abort